###################################################
#Copyright (C) 2001 Stuart Wigley (stuartwigley@yahoo.co.uk) 
#
#install.sql 18/04/2001   
#
#This file is part of workbench.
#
#workbench is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#workbench is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with workbench; if not, write to the Free Software
#Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#####################################################
CREATE TABLE accessLog (
  logID int(6) unsigned NOT NULL auto_increment,
  sessionID varchar(255) NOT NULL default '',
  date varchar(128) NOT NULL default '',
  useragent varchar(255) NOT NULL default '',
  userID int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (logID)
) TYPE=MyISAM;
#####################################################
CREATE TABLE apps (
  appID int(6) unsigned NOT NULL auto_increment,
  appName varchar(50) NOT NULL default '',
  appDesc varchar(50) NOT NULL default '',
  isHidden enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (appID)
) TYPE=MyISAM;

INSERT INTO apps VALUES ('1', 'Workbench', 'This application', 'N'); 
#####################################################
CREATE TABLE attachments (
  attachID int(6) unsigned NOT NULL auto_increment,
  bugID int(6) NOT NULL default '0',
  filename varchar(255) NOT NULL default '',
  PRIMARY KEY  (attachID)
) TYPE=MyISAM;
#####################################################
CREATE TABLE bugs (
  bugID int(6) unsigned NOT NULL auto_increment,
  childOf int(6) unsigned default NULL,
  depends int(6) unsigned default NULL,
  openDate varchar(50) NOT NULL default '',
  closeDate varchar(50) default NULL,
  openedBy varchar(20) NOT NULL default '',
  closedBy varchar(20) default NULL,
  assTo varchar(20) NOT NULL default '',
  statusID int(1) NOT NULL default '0',
  typeID int(1) NOT NULL default '0',
  sevID int(1) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  description mediumtext NOT NULL,
  resolution mediumtext,
  appID int(6) NOT NULL default '0',
  versionID int(6) NOT NULL default '0',
  targetVer varchar(6) default NULL,
  modID int(6) NOT NULL default '0',
  screen varchar(50) NOT NULL default '',
  foundInID int(2) NOT NULL default '0',
  history mediumtext,
  dueDate varchar(10) default NULL,
  estimate varchar(50) default NULL,
  PRIMARY KEY  (bugID)
) TYPE=MyISAM;
#####################################################
CREATE TABLE foundIn (
  foundInID int(2) unsigned NOT NULL auto_increment,
  foundInName varchar(20) NOT NULL default '',
  isHidden enum('Y','N') NOT NULL default 'N',
  foundInDesc varchar(255) default NULL,
  PRIMARY KEY  (foundInID)
) TYPE=MyISAM;

INSERT INTO foundIn VALUES ('1','Development','N','');
INSERT INTO foundIn VALUES ('2','Unit Test','N','');
INSERT INTO foundIn VALUES ('3','Link Test','N','');
INSERT INTO foundIn VALUES ('4','System Test','N','');
INSERT INTO foundIn VALUES ('5','Performance Test','N','');
INSERT INTO foundIn VALUES ('6','UAT','N','');
INSERT INTO foundIn VALUES ('7','Alpha','N','');
INSERT INTO foundIn VALUES ('8','Beta','N','');
INSERT INTO foundIn VALUES ('9','Production','N','');
#####################################################
CREATE TABLE groups (
  grpID int(6) unsigned NOT NULL auto_increment,
  grpAssign enum('Y','N') NOT NULL default 'N',
  grpName varchar(50) NOT NULL default '',
  isHidden enum('Y','N') default 'N',
  PRIMARY KEY  (grpID)
) TYPE=MyISAM;

INSERT INTO groups VALUES ('1', 'N', 'Administrator','N');
INSERT INTO groups VALUES ('2', 'Y', 'Developer','N');
INSERT INTO groups VALUES ('3', 'Y', 'Designer','N');
INSERT INTO groups VALUES ('4', 'N', 'Customer','N');
INSERT INTO groups VALUES ('5', 'Y', 'Manager','N');
#####################################################
CREATE TABLE mods (
  modID int(6) unsigned NOT NULL auto_increment,
  modName varchar(50) NOT NULL default '',
  modDesc varchar(50) NOT NULL default '',
  appID int(6) NOT NULL default '0',
  isHidden enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (modID)
) TYPE=MyISAM;

INSERT INTO mods VALUES ('1','General', 'General', '1', 'N');
INSERT INTO mods VALUES ('2','Bug Tracking', 'The Bug Tracking Application', '1', 'N');
INSERT INTO mods VALUES ('3','Admin', 'Administrative Functions', '1', 'N');
#####################################################
CREATE TABLE projectAccess (
  accessID int(6) unsigned NOT NULL auto_increment,
  userID int(6) unsigned NOT NULL default '0',
  appID int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (accessID)
) TYPE=MyISAM;

INSERT INTO projectAccess VALUES ('1','1','1');
#####################################################
CREATE TABLE servers (
  serverID int(6) NOT NULL auto_increment,
  serverName varchar(50) NOT NULL default '',
  serverPort varchar(6) NOT NULL default '',
  PRIMARY KEY  (serverID)
) TYPE=MyISAM;
#####################################################
CREATE TABLE settings (
  settingsID int(6) NOT NULL auto_increment,
  userID varchar(20) NOT NULL default '',
  theFilter varchar(50) default NULL,
  application varchar(50) default NULL,
  status varchar(50) default NULL,
  orderBy varchar(50) NOT NULL default 'bugID',
  sortWith varchar(10) NOT NULL default 'asc',
  bgcolour int(1) default NULL,
  emailType varchar(6) default NULL,
  emailOpt int(1) default NULL,
  PRIMARY KEY  (settingsID)
) TYPE=MyISAM;

INSERT INTO settings VALUES ('1','1','','','','bugID','asc','','text','1');
#####################################################
CREATE TABLE severity (
  sevID int(1) unsigned NOT NULL auto_increment,
  sevName varchar(20) NOT NULL default '',
  sevColour varchar(7) NOT NULL default '',
  isHidden enum('Y','N') NOT NULL default 'N',
  sevDesc varchar(255) default NULL,
  PRIMARY KEY  (sevID)
) TYPE=MyISAM;

INSERT INTO severity VALUES ('1','Showstopper', '#da6a6a','N','');
INSERT INTO severity VALUES ('2','Critical', '#da7a7a','N','');
INSERT INTO severity VALUES ('3','Major', '#da8a8a','N','');
INSERT INTO severity VALUES ('4','Medium', '#da9a9a','N','');
INSERT INTO severity VALUES ('5','Low', '#daaaaa','N','');
INSERT INTO severity VALUES ('6','Trivial', '#dababa','N','');
INSERT INTO severity VALUES ('7','Cosmetic', '#dacaca','N','');
INSERT INTO severity VALUES ('8','Minimal', '#dadada','N','');
#####################################################
CREATE TABLE status (
  statusID int(1) unsigned NOT NULL auto_increment,
  statusName varchar(20) NOT NULL default '',
  isHidden enum('Y','N') NOT NULL default 'N',
  statusDesc varchar(255) default NULL,
  PRIMARY KEY  (statusID)
) TYPE=MyISAM;

INSERT INTO status VALUES ('1','Open','N','');
INSERT INTO status VALUES ('2','Active','N','');
INSERT INTO status VALUES ('3','Closed','N','');
INSERT INTO status VALUES ('4','Duplicate','N','');
INSERT INTO status VALUES ('5','Pending','N','');
INSERT INTO status VALUES ('6','Suspended','N','');
INSERT INTO status VALUES ('7','SEP','N','');
INSERT INTO status VALUES ('8','Cannot Fix','N','');
#####################################################
CREATE TABLE type (
  typeID int(1) unsigned NOT NULL auto_increment,
  typeName varchar(20) NOT NULL default '',
  isHidden enum('Y','N') NOT NULL default 'N',
  typeDesc varchar(255) default NULL,
  PRIMARY KEY  (typeID)
) TYPE=MyISAM;

INSERT INTO type VALUES ('1','Bug','N','');
INSERT INTO type VALUES ('2','Task','N','');
INSERT INTO type VALUES ('3','Change Request','N','');
INSERT INTO type VALUES ('4','Improvement','N','');
#####################################################
CREATE TABLE users (
  userID int(6) unsigned NOT NULL auto_increment,
  login varchar(20) NOT NULL default '',
  fName varchar(50) NOT NULL default '',
  sName varchar(50) NOT NULL default '',
  email varchar(50) NOT NULL default '',
  password varchar(255) NOT NULL default '',
  grpID int(6) NOT NULL default '0',
  lastLogin varchar(50) NOT NULL default 'Never',
  isHidden enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (userID)
) TYPE=MyISAM;

INSERT INTO users VALUES ('1', 'admin', 'The', 'Administrator', 'someone@somewhere.com', '84f7a0344e55d7a7758f5937a3cc4d45', '1', 'Never', 'N');
#####################################################
CREATE TABLE versions (
  versionID int(1) unsigned NOT NULL auto_increment,
  appID int(6) unsigned NOT NULL default '0',
  version varchar(6) NOT NULL default '',
  isHidden enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (versionID)
) TYPE=MyISAM;

INSERT INTO versions VALUES ('3', '1', '0.8', 'N'); 

